Note: Parity Ethereum 2.1 reached End-of-Life on 2019-01-16 (EOL).

## Parity-Ethereum [v2.1.11](https://github.com/paritytech/parity-ethereum/releases/tag/v2.1.11) (2019-01-09)

Parity-Ethereum 2.1.11-stable is a bugfix release that improves performance and stability.

The full list of included changes:

- Stable backports v2.1.11 ([#10112](https://github.com/paritytech/parity-ethereum/pull/10112))
  - Version: bump stable to v2.1.11
  - HF in POA Sokol (2019-01-04) ([#10077](https://github.com/paritytech/parity-ethereum/pull/10077))
  - Add --locked when running cargo ([#10107](https://github.com/paritytech/parity-ethereum/pull/10107))
  - Ethcore: update hardcoded headers ([#10123](https://github.com/paritytech/parity-ethereum/pull/10123))
  - Identity fix ([#10128](https://github.com/paritytech/parity-ethereum/pull/10128))
  - Update pwasm-utils to 0.6.1 ([#10134](https://github.com/paritytech/parity-ethereum/pull/10134))
  - Version: mark upgrade critical on kovan

## Parity-Ethereum [v2.1.10](https://github.com/paritytech/parity-ethereum/releases/tag/v2.1.10) (2018-12-14)

Parity-Ethereum 2.1.10-stable is an important release that introduces Constantinople fork at block 7080000 on Mainnet.
This release also contains a fix for chains using AuRa + EmptySteps. Read carefully if this applies to you.
If you have a chain with`empty_steps` already running, some blocks most likely contain non-strict entries (unordered or duplicated empty steps). In this release`strict_empty_steps_transition` **is enabled by default at block 0** for any chain with `empty_steps`.
If your network uses `empty_steps` you **must**:
- plan a hard fork and change `strict_empty_steps_transition` to the desire fork block
- update the clients of the whole network to 2.2.5-beta / 2.1.10-stable.
If for some reason you don't want to do this please set`strict_empty_steps_transition` to `0xfffffffff` to disable it.

The full list of included changes:

-  Backports for stable 2.1.10 ([#10046](https://github.com/paritytech/parity-ethereum/pull/10046))
	- Bump stable to 2.1.10 ([#10046](https://github.com/paritytech/parity-ethereum/pull/10046))
	- RPC: parity_getBlockReceipts ([#9527](https://github.com/paritytech/parity-ethereum/pull/9527))
		- Block receipts RPC.
		- Use lazy evaluation of block receipts (ecrecover).
		- Optimize transaction_receipt to prevent performance regression.
		- Add block & transaction receipt tests.
		- Fix conversion to block id.
	- Update a few parity-common dependencies ([#9663](https://github.com/paritytech/parity-ethereum/pull/9663))
		- revert update of ethereum/tests
		- better reporting of network rlp errors
		- Use rlp 0.3.0-beta.1
		- fix util function get_dummy_blocks
		- Already a Vec
		- encode_list returns vec already
	- Fix empty steps ([#9939](https://github.com/paritytech/parity-ethereum/pull/9939))
		- Prevent sending empty step message twice
		- Prevent sending empty step and then block in the same step
		- Don't accept double empty steps
		- Do basic validation of self-sealed blocks
	- Strict empty steps validation ([#10041](https://github.com/paritytech/parity-ethereum/pull/10041))
		- Enables strict verification of empty steps - there can be no duplicates and empty steps should be ordered inside the seal.
		- Note that authorities won't produce invalid seals after [#9939](https://github.com/paritytech/parity-ethereum/pull/9939), this PR just adds verification to the seal to prevent forging incorrect blocks and potentially causing consensus issues.
		- This features is enabled by default so any AuRa + EmptySteps chain should set `strict_empty_steps_transition` fork block number in their spec and upgrade to v2.2.5-beta or v2.1.10-stable.
	- ethcore: enable constantinople on ethereum ([#10031](https://github.com/paritytech/parity-ethereum/pull/10031))
		- ethcore: change blockreward to 2e18 for foundation after constantinople
		- ethcore: delay diff bomb by 2e6 blocks for foundation after constantinople
		- ethcore: enable eip-{145,1014,1052,1283} for foundation after constantinople
	- Change test miner max memory to malloc reports. ([#10024](https://github.com/paritytech/parity-ethereum/pull/10024))

## Parity-Ethereum [v2.1.7](https://github.com/paritytech/parity-ethereum/releases/tag/v2.1.7) (2018-11-28)

Parity-Ethereum 2.1.7-stable is a release that improves performance and stability.

The full list of included changes:

- Backports for stable 2.1.7 ([#9975](https://github.com/paritytech/parity-ethereum/pull/9975))
  - Version: bump stable to 2.1.7
  - Adjust requests costs for light client ([#9925](https://github.com/paritytech/parity-ethereum/pull/9925))
    - Pip Table Cost relative to average peers instead of max peers
    - Add tracing in PIP new_cost_table
    - Update stat peer_count
    - Use number of leeching peers for Light serve costs
    - Fix test::light_params_load_share_depends_on_max_peers (wrong type)
    - Remove (now) useless test
    - Remove `load_share` from LightParams.Config
    - Add LEECHER_COUNT_FACTOR
    - Pr Grumble: u64 to u32 for f64 casting
    - Prevent u32 overflow for avg_peer_count
    - Add tests for LightSync::Statistics
  - Fix empty steps ([#9939](https://github.com/paritytech/parity-ethereum/pull/9939))
    - Don't send empty step twice or empty step then block.
    - Perform basic validation of locally sealed blocks.
    - Don't include empty step twice.
  - Prevent silent errors in daemon mode, closes [#9367](https://github.com/paritytech/parity-ethereum/issues/9367) ([#9946](https://github.com/paritytech/parity-ethereum/pull/9946))
  - Fix light client informant while syncing ([#9932](https://github.com/paritytech/parity-ethereum/pull/9932))
    - Add `is_idle` to LightSync to check importing status
    - Use SyncStateWrapper to make sure is_idle gets updates
    - Update is_major_import to use verified queue size as well
    - Add comment for `is_idle`
    - Add Debug to `SyncStateWrapper`
    - `fn get` -> `fn into_inner`
  -  Ci: rearrange pipeline by logic ([#9970](https://github.com/paritytech/parity-ethereum/pull/9970))
    - Ci: rearrange pipeline by logic
    - Ci: rename docs script
  - Add readiness check for docker container ([#9804](https://github.com/paritytech/parity-ethereum/pull/9804))
    - Update Dockerfile
    - Add sync check script
  - Fix docker script ([#9854](https://github.com/paritytech/parity-ethereum/pull/9854))
  - Dockerfile: change source path of the newly added check_sync.sh ([#9869](https://github.com/paritytech/parity-ethereum/pull/9869))
  - Do not use the home directory as the working dir in docker ([#9834](https://github.com/paritytech/parity-ethereum/pull/9834))
    - Do not create a home directory.
    - Re-add -m flag
  - Fix docker build ([#9971](https://github.com/paritytech/parity-ethereum/pull/9971))
  - Bump smallvec to 0.6 in ethcore-light, ethstore and whisper ([#9588](https://github.com/paritytech/parity-ethereum/pull/9588))
    - Bump smallvec to 0.6 in ethcore-light, ethstore and whisper
    - Bump transaction-pool
    - Fix test.
  - Patch cargo to use tokio-proto from git repo
  - Use patched version of untrusted 0.5.1
  - Ci: allow audit to fail

## Parity-Ethereum [v2.1.6](https://github.com/paritytech/parity-ethereum/releases/tag/v2.1.6) (2018-11-15)

Parity-Ethereum 2.1.6-stable is a release that improves performance and stability.

The full list of included changes:
- Backport to parity 2.1.6-stable ([#9904](https://github.com/paritytech/parity-ethereum/pull/9904))
  - Bump version to 2.1.6
  - Fix: Intermittent failing CI due to addr in use ([#9885](https://github.com/paritytech/parity-ethereum/pull/9885))
  - Add hardcoded headers for light client ([#9907](https://github.com/paritytech/parity-ethereum/pull/9907))
  - Gitlab-ci: make android release build succeed ([#9743](https://github.com/paritytech/parity-ethereum/pull/9743))
  - Light-fetch: Differentiate between out-of-gas/manual throw and use required gas from response on failure ([#9824](https://github.com/paritytech/parity-ethereum/pull/9824))
  - Remove rust-toolchain file ([#9906](https://github.com/paritytech/parity-ethereum/pull/9906))
  - Simplify cargo audit ([#9918](https://github.com/paritytech/parity-ethereum/pull/9918))
  - Ci: nuke the gitlab caches ([#9855](https://github.com/paritytech/parity-ethereum/pull/9855))

- Backports to parity stable 2.1.5 (not released) ([#9821](https://github.com/paritytech/parity-ethereum/pull/9821))
  - Ci: remove failing tests for android, windows, and macos ([#9788](https://github.com/paritytech/parity-ethereum/pull/9788))
  - Move state root verification before gas used ([#9841](https://github.com/paritytech/parity-ethereum/pull/9841))
  - Classic.json Bootnode Update ([#9828](https://github.com/paritytech/parity-ethereum/pull/9828))

## Parity-Ethereum [v2.1.4](https://github.com/paritytech/parity-ethereum/releases/tag/v2.1.4) (2018-10-29)

Parity-Ethereum 2.1.4-beta is a release that improves performance and stability.

The full list of included changes:

- Backports: parity beta 2.1.4 ([#9787](https://github.com/paritytech/parity-ethereum/pull/9787))
  - Version: bump parity beta to 2.1.4
  - Ethcore: bump ropsten forkblock checkpoint ([#9775](https://github.com/paritytech/parity-ethereum/pull/9775))
  - Ethcore: handle vm exception when estimating gas ([#9615](https://github.com/paritytech/parity-ethereum/pull/9615))
  - Removed "rustup" & added new runner tag ([#9731](https://github.com/paritytech/parity-ethereum/pull/9731))
    - Removed "rustup" & added new runner tag
    - Exchanged tag "rust-windows" with "windows"
    - Revert windows tag change
  - Sync: retry different peer after empty subchain heads response ([#9753](https://github.com/paritytech/parity-ethereum/pull/9753))
    - If no subchain heads then try a different peer
    - Add log when useless chain head
    - Restrict ChainHead useless peer to ancient blocks
    - Sync: replace `limit_reorg` with `block_set` condition
  - Update jsonrpc-core to a1b2bb742ce16d1168669ffb13ffe856e8131228 ([#9780](https://github.com/paritytech/parity-ethereum/pull/9780))
  - Allow zero chain id in EIP155 signing process ([#9792](https://github.com/paritytech/parity-ethereum/pull/9792))
    - Allow zero chain id in EIP155 signing process
    - Rename test
    - Fix test failure
  - Insert dev account before unlocking ([#9813](https://github.com/paritytech/parity-ethereum/pull/9813))

## Parity-Ethereum [v2.1.3](https://github.com/paritytech/parity-ethereum/releases/tag/v2.1.3) (2018-10-16)

Parity-Ethereum 2.1.3-stable is a release that fixes a consensus issue with the recent Constantinople release. Upgrading is mandatory whatever network you are connected to that plans enabling EIP-1283, e.g., Ropsten, Kovan, Ethereum.

The full list of included changes:

- Beta release 2.1.3 backports ([#9749](https://github.com/paritytech/parity-ethereum/pull/9749))
  - Parity-version: mark 2.1.3 beta as critical
  - Use signed 256-bit integer for sstore gas refund substate ([#9746](https://github.com/paritytech/parity-ethereum/pull/9746))
  - Add --force to cargo audit install script ([#9735](https://github.com/paritytech/parity-ethereum/pull/9735))
  - Heads ref not present for branches beta and stable ([#9741](https://github.com/paritytech/parity-ethereum/pull/9741))
  - Aura: fix panic on extra_info with unsealed block ([#9755](https://github.com/paritytech/parity-ethereum/pull/9755))

## Parity-Ethereum [v2.1.2](https://github.com/paritytech/parity-ethereum/releases/tag/v2.1.2) (2018-10-12)

Parity-Ethereum 2.1.2-beta is a release that introduces **Constantinople** to the Ethereum client. Upgrading is strongly recommended.

![europe-1803495_1280](https://user-images.githubusercontent.com/15729797/46785767-15f1e280-cd33-11e8-862a-458edfd73ecf.png)

The following hardforks are supported by this release:

- Ropsten testnet block `4_230_000` on October 14, 2018 (Constantinople)
- POA core mainnet block `5_329_160` on October 22, 2018 (CORE HF 2)
- Kovan testnet block `9_200_000` on October 25, 2018 (Constantinople, KIP-{4,6})

Running one of these networks, an upgrade to 2.0.7 or 2.1.2 is mandatory. More details can be found in Changelog below.

Please note, the following deprecations in our distribution of binaries:

- `arm*` targets are no longer served by parity, please consider (cross-)compiling from source yourself.
- `i*86` targets are no longer served by parity, please consider upgrading your operating system.
- Snapcraft is no longer maintained. please use binaries directly or your distro's repositories.

The full list of included changes:

- More backports for 2.1.2 ([#9733](https://github.com/paritytech/parity-ethereum/pull/9733))
  - Produce portable binaries ([#9725](https://github.com/paritytech/parity-ethereum/pull/9725))
  - HF in POA Core (2018-10-22) ([#9724](https://github.com/paritytech/parity-ethereum/pull/9724))
  - Use static call and apparent value transfer for block reward contract code ([#9603](https://github.com/paritytech/parity-ethereum/pull/9603))
  - Verify block syncing responses against requests ([#9670](https://github.com/paritytech/parity-ethereum/pull/9670))
  - Fix ancient blocks sync ([#9531](https://github.com/paritytech/parity-ethereum/pull/9531))
  - Add hardcoded headers ([#9730](https://github.com/paritytech/parity-ethereum/pull/9730))
  - Gitlab ci: releasable_branches: change variables condition to schedule ([#9729](https://github.com/paritytech/parity-ethereum/pull/9729))
- Backports for beta 2.1.2 ([#9649](https://github.com/paritytech/parity-ethereum/pull/9649))
  - Parity-version: bump beta to 2.1.2
  - Ethcore: fix detection of major import ([#9552](https://github.com/paritytech/parity-ethereum/pull/9552))
  - Hardfork the testnets ([#9562](https://github.com/paritytech/parity-ethereum/pull/9562))
  - Docs(rpc): push the branch along with tags ([#9578](https://github.com/paritytech/parity-ethereum/pull/9578))
  - Remove snapcraft clean ([#9585](https://github.com/paritytech/parity-ethereum/pull/9585))
  - Fix (light/provider) : Make `read_only executions` only read-only ([#9591](https://github.com/paritytech/parity-ethereum/pull/9591))
  - Ci: fix regex 🙄 ([#9597](https://github.com/paritytech/parity-ethereum/pull/9597))
  - Docs(rpc): annotate tag with the provided message ([#9601](https://github.com/paritytech/parity-ethereum/pull/9601))
  - Update ropsten bootnodes ([#9602](https://github.com/paritytech/parity-ethereum/pull/9602))
  - HF in POA Sokol (2018-09-19) ([#9607](https://github.com/paritytech/parity-ethereum/pull/9607))
  - Fix(network): don't disconnect reserved peers ([#9608](https://github.com/paritytech/parity-ethereum/pull/9608))
  - Fix failing node-table tests on mac os ([#9633](https://github.com/paritytech/parity-ethereum/pull/9633))
  - Fix bad-block reporting no reason ([#9638](https://github.com/paritytech/parity-ethereum/pull/9638))
  - Ethcore-io retries failed work steal ([#9651](https://github.com/paritytech/parity-ethereum/pull/9651))
  - Remove master from releasable branches ([#9655](https://github.com/paritytech/parity-ethereum/pull/9655))
  - Test fix for windows cache name... ([#9658](https://github.com/paritytech/parity-ethereum/pull/9658))
  - Fix(light_fetch): avoid race with BlockNumber::Latest ([#9665](https://github.com/paritytech/parity-ethereum/pull/9665))
  - Calculate sha3 instead of sha256 for push-release. ([#9673](https://github.com/paritytech/parity-ethereum/pull/9673))
  - Ci: fix push script ([#9679](https://github.com/paritytech/parity-ethereum/pull/9679))
  - CI: Remove unnecessary pipes ([#9681](https://github.com/paritytech/parity-ethereum/pull/9681))
  - Don't hash the init_code of CREATE. ([#9688](https://github.com/paritytech/parity-ethereum/pull/9688))
  - Docker: run parity as normal user ([#9689](https://github.com/paritytech/parity-ethereum/pull/9689))
  - CI: Skip docs job for master and nightly ([#9693](https://github.com/paritytech/parity-ethereum/pull/9693))
  - Implement CREATE2 gas changes and fix some potential overflowing ([#9694](https://github.com/paritytech/parity-ethereum/pull/9694))
  - Make instantSeal engine backwards compatible ([#9700](https://github.com/paritytech/parity-ethereum/pull/9700))
  - Ethcore: delay ropsten hardfork ([#9704](https://github.com/paritytech/parity-ethereum/pull/9704))

## Parity-Ethereum [v2.1.1](https://github.com/paritytech/parity-ethereum/releases/tag/v2.1.1) (2018-09-20)

Parity-Ethereum 2.1.1-beta is a release that does not improve performance and stability; no changes were made.

The full list of included changes:

- Backports for 2.1.1 beta ([#9599](https://github.com/paritytech/parity-ethereum/pull/9599))
  - Parity: bump version to 2.1.1 beta
  - Ci: fix regex roll_eyes
  - Docs(rpc): annotate tag with the provided message

## Parity-Ethereum [v2.1.0](https://github.com/paritytech/parity-ethereum/releases/tag/v2.1.0) (2018-09-19)

Parity-Ethereum 2.1.0-beta is released! Look at this!

Important notices:

- This release moves the 2.1 track of Parity-Ethereum to beta.
- This release contains a low-severity issue with the web-sockets ports. [#9545](https://github.com/paritytech/parity-ethereum/pull/9545)
- This release resolves a potential network fragmentation issue. [#9526](https://github.com/paritytech/parity-ethereum/pull/9526)
- With this release, all versions of Parity Ethereum 1.x prior to 2.0 reached end of life.
- Users are urged to upgrade to 2.0.5-stable or 2.1.0-beta.

Further changes worth highlighting:

- Generalized `blockReward` and `difficultyBombDelays` config ([#9480](https://github.com/paritytech/parity-ethereum/pull/9480)): This removes `eip649*` parameters from chain specs and allows `blockReward` to accept `multi`. Please review your chain-specs!
- Implement EIP234 `block_hash` for `eth_getLogs` ([#9256](https://github.com/paritytech/parity-ethereum/pull/9256)): If `block_hash` and `from_block`/`to_block` present, return error. This also changes `eth_getLogs` to return error if any of `block_hash`/`from_block`/`to_block` cannot be found.
- The default `gas_floor_target` was increased to `8_000_000`, the default `gas_cap` to `10_000_000`.
- Light clients provide the actual account for `eth_coinbase` RPC ([#9383](https://github.com/paritytech/parity-ethereum/pull/9383)). Note, this behavior is different from the full client where we return the `0x0` address if no accounts are found!
- Light servers give free credits for reserved peers ([#9448](https://github.com/paritytech/parity-ethereum/pull/9448)): When connecting to a reserved peers in light client, assign free credits to them. This fixes the scenario where a home server is running a full node, and another light client connects to the full node as a reserved peer.
- Multi-threaded snapshot creation ([#9239](https://github.com/paritytech/parity-ethereum/pull/9239)): to speed up the generation of snapshots on disk, this can be parallelized now. By default N/2 CPU cores are being used. Use `--snapshot-threads` flag to customize the number of threads.
- Remove all dapp permissions related settings ([#9120](https://github.com/paritytech/parity-ethereum/pull/9120)). This completely removes dapp permission settings from `AccountProvider` and JSON-RPC: In JSON-RPC, all available accounts are returned, regardless of the origin; previously we return accounts based on dapps policy. It's not possible to set a "default account" (as for dapps) any more; this is now always the first account in the available account list.
- Remove unused `--tx_queue_gas` parameter ([#9153](https://github.com/paritytech/parity-ethereum/pull/9153)). Please use `parity --help` to learn about available transaction queue strategies.

The full list of included changes:

- Add snapcraft package image ([#9583](https://github.com/paritytech/parity-ethereum/pull/9583))
  - Add snapcraft package image
  - Update .gitlab-ci.yml
  - Remove snapcraft clean
- Backports for 2.1.0 beta ([#9518](https://github.com/paritytech/parity-ethereum/pull/9518))
  - Parity-version: mark 2.1.0 track beta
  - Ci: update branch version references
  - Docker: release master to latest
  - Fix checkpointing when creating contract failed ([#9514](https://github.com/paritytech/parity-ethereum/pull/9514))
  - Ci: fix json docs generation ([#9515](https://github.com/paritytech/parity-ethereum/pull/9515))
  - Fix typo in version string ([#9516](https://github.com/paritytech/parity-ethereum/pull/9516))
    - Update patricia trie to 0.2.2 crates. Default dependencies on minor version only.
    - Putting back ethereum tests to the right commit
    - Enable all Constantinople hard fork changes in constantinople_test.json ([#9505](https://github.com/paritytech/parity-ethereum/pull/9505))
    - Enable all Constantinople hard fork changes in constantinople_test.json
    - Address grumbles
    - Remove EIP-210 activation
    - 8m -> 5m
    - Temporarily add back eip210 transition so we can get test passed
    - Add eip210_test and remove eip210 transition from const_test
    - In create memory calculation is the same for create2 because the additional parameter was popped before. ([#9522](https://github.com/paritytech/parity-ethereum/pull/9522))
    - Deps: bump fs-swap and kvdb-rocksdb
  - Multithreaded snapshot creation ([#9239](https://github.com/paritytech/parity-ethereum/pull/9239))
    - Add Progress to Snapshot Secondary chunks creation
    - Use half of CPUs to multithread snapshot creation
    - Use env var to define number of threads
    - Info to debug logs
    - Add Snapshot threads as CLI option
    - Randomize chunks per thread
    - Remove randomness, add debugging
    - Add warning
    - Add tracing
    - Use parity-common fix seek branch
    - Fix log
    - Fix tests
    - Fix tests
    - Pr Grumbles
    - Pr Grumble II
    - Update Cargo.lock
    - Pr Grumbles
    - Default snapshot threads to half number of CPUs
    - Fix default snapshot threads // min 1
  - Correct before_script for nightly build versions ([#9543](https://github.com/paritytech/parity-ethereum/pull/9543))
    - Fix gitlab array of strings syntax error
    - Get proper commit id
    - Avoid colon in stings
  - Remove initial token for WS. ([#9545](https://github.com/paritytech/parity-ethereum/pull/9545))
  - Version: mark release critical
  - Ci: fix rpc docs generation 2 ([#9550](https://github.com/paritytech/parity-ethereum/pull/9550))
  - Improve P2P discovery ([#9526](https://github.com/paritytech/parity-ethereum/pull/9526))
    - Add `target` to Rust traces
    - Network-devp2p: Don't remove discovery peer in main sync
    - Network-p2p: Refresh discovery more often
    - Update Peer discovery protocol
    - Run discovery more often when not enough nodes connected
    - Start the first discovery early
    - Update fast discovery rate
    - Fix tests
    - Fix `ping` tests
    - Fixing remote Node address ; adding PingPong round
    - Fix tests: update new +1 PingPong round
    - Increase slow Discovery rate
      - Check in flight FindNode before pings
    - Add `deprecated` to deprecated_echo_hash
    - Refactor `discovery_round` branching
    - Net_version caches network_id to avoid redundant acquire of sync read lock ([#9544](https://github.com/paritytech/parity-ethereum/pull/9544))
    - Net_version caches network_id to avoid redundant acquire of sync read lock, [#8746](https://github.com/paritytech/parity-ethereum/issues/8746)
    - Use lower_hex display formatting for net_peerCount rpc method
  - Increase Gas-floor-target and Gas Cap ([#9564](https://github.com/paritytech/parity-ethereum/pull/9564))
    - Gas-floor-target increased to 8M by default
    - Gas-cap increased to 10M by default
  - Revert to old parity-tokio-ipc.
  - Downgrade named pipes.
- Fix checkpointing when creating contract failed ([#9514](https://github.com/paritytech/parity-ethereum/pull/9514))
- Ci: fix json docs generation ([#9515](https://github.com/paritytech/parity-ethereum/pull/9515))
- Update state tests execution model ([#9440](https://github.com/paritytech/parity-ethereum/pull/9440))
  - Update & fix JSON state tests.
  - Update tests to be able to run ethtest at 021fe3d410773024cd5f0387e62db6e6ec800f32.
  - Touch user in state
  - Adjust transaction tests to new json format
  - Switch to same commit for submodule ethereum/test as geth (next includes constantinople changes).
  - Added test `json_tests::trie::generic::TrieTests_trieanyorder` and a few difficulty tests.
  - Remove trietestnextprev as it would require to parse differently and implement it.
  - Support new (shitty) format of transaction tests.
  - Ignore junk in ethereum/tests repo.
  - Ignore incorrect test.
  - Update to a later commit
  - Move block number to a constant.
  - Fix ZK2 test - touched account should also be cleared.
  - Fix conflict resolution
- Upload will fail if a file with the same hash is already up ([#9479](https://github.com/paritytech/parity-ethereum/pull/9479))
  - Upload will fail if a file with the same hash is already up
  - Compose version string for nightly releases
- Fix Snapshot restoration failure on Windows ([#9491](https://github.com/paritytech/parity-ethereum/pull/9491))
  - Close Blooms DB files before DB restoration
- Don't error when Snapshot is aborted ([#9492](https://github.com/paritytech/parity-ethereum/pull/9492))
- Light: give free credits for reserved peers ([#9448](https://github.com/paritytech/parity-ethereum/pull/9448))
  - Light: give free credits for reserved peers
  - Fix ethcore-light tests
  - Test free_flow_params
- Parity: print correct keys path on startup ([#9501](https://github.com/paritytech/parity-ethereum/pull/9501))
- Generalized blockReward and difficultyBombDelays config ([#9480](https://github.com/paritytech/parity-ethereum/pull/9480))
  - Implement multi blockReward
  - Implement difficultyBombDelays
  - Fix json crate compile
  - Json keys can only be string
- Rpc(debug_getBadBlocks): fix test ([#9502](https://github.com/paritytech/parity-ethereum/pull/9502))
- Bad blocks RPC + reporting ([#9433](https://github.com/paritytech/parity-ethereum/pull/9433))
  - Bad blocks RPC.
  - Return bad blocks via RPC.
  - Fix test.
  - More verbose bad block message.
  - Expose via CLI.
  - Remove stray whitespace.
  - Remove stray newline.
  - Fix tests.
- Eip 1283: Net gas metering for SSTORE without dirty maps ([#9319](https://github.com/paritytech/parity-ethereum/pull/9319))
  - Implement last_checkpoint_storage_at
  - Add reverted_storage_at for externalities
  - Sstore_clears_count -> sstore_clears_refund
  - Implement eip1283 for evm
  - Add eip1283Transition params
  - Evm: fix tests
  - Jsontests: fix test
  - Return checkpoint index when creating
  - Comply with spec Version II
  - Fix docs
  - Fix jsontests feature compile
  - Address grumbles
  - Fix no-checkpoint-entry case
  - Remove unnecessary expect
  - Add test for State::checkpoint_storage_at
  - Add executive level test for eip1283
  - Hard-code transaction_checkpoint_index to 0
  - Fix jsontests
  - Add tests for checkpoint discard/revert
  - Require checkpoint to be empty for kill_account and commit
  - Get code coverage
  - Use saturating_add/saturating_sub
  - Fix issues in insert_cache
  - Clear the state again
  - Fix original_storage_at
  - Early return for empty RLP trie storage
  - Update comments
  - Fix borrow_mut issue
  - Simplify checkpoint_storage_at if branches
  - Better commenting for gas handling code
  - Address naming grumbles
  - More tests
  - Fix an issue in overwrite_with
  - Add another test
  - Fix comment
  - Remove unnecessary bracket
  - Move orig to inner if
  - Remove test coverage for this PR
  - Add tests for executive original value
  - Add warn! for an unreachable cause
- Light `clippy(fy)` ([#9473](https://github.com/paritytech/parity-ethereum/pull/9473))
  - Wasm tests
  - `clippyfy` light-client
  - Revert inefficient change `collect_ready()`
- Aura: don't report skipped primaries when empty steps are enabled ([#9435](https://github.com/paritytech/parity-ethereum/pull/9435))
- Support millisecond timestamp for instant seal engine ([#9469](https://github.com/paritytech/parity-ethereum/pull/9469))
  - Support millisecond timestamp for instant seal engine
  - Forgot to checkin instant_seal mod
  - Fix instant seal config
  - Fix json crate compile
  - Fix private_spec.json
  - Option<bool> -> bool
- Ethcore: don't validate difficulty when ignoring seal check ([#9470](https://github.com/paritytech/parity-ethereum/pull/9470))
  - Ethcore: don't validate difficulty when ignoring seal check
  - Ethcore: fix block verification test
  - Ethcore: document skipped verifications when check_seal is disabled
- [light/jsonrpc] Provide the actual account for `eth_coinbase` RPC and unify error handling for light and full client ([#9383](https://github.com/paritytech/parity-ethereum/pull/9383))
  - Provide the actual `account` for eth_coinbase
    - The previous implementation always provided the `zero address` on `eth_coinbase` RPC. Now, instead the actual address is returned on success or an error when no account(s) is found!
  - Full client `eth_coinbase` return err
    - In the full-client return an error when no account is found instead of returning the `zero address`
  - Remove needless blocks on single import
  - Remove needless `static` lifetime on const
  - Fix `rpc_eth_author` test
- Add a Java interface ([#9346](https://github.com/paritytech/parity-ethereum/pull/9346))
  - Add a Java interface
  - Use system ABI
  - Forgot exception
  - Fix param for parity_rpc
  - Address concerns
- Fetch `parity-common` crates from crates.io ([#9410](https://github.com/paritytech/parity-ethereum/pull/9410))
  - Fetch `parity-common` crates from crates.io
  - Add doc tests from `patricia-trie` to `patricia-trie-ethereum`
  - Fix/update a few deps
  - [ethkey] upgrade ethereum-types
  - [whisper] update deps
  - [network] deps
  - [network-devp2p] deps
  - [journaldb] deps
  - [fastmap] deps
  - [miner] deps and test fixes
  - [machine] deps
  - [json] deps
  - [hw] deps
  - [ethash] deps
  - [registrar] deps
  - Update a few more dependencies with new ethabi-*
  - [updater] Update deps
  - Deps
  - [ethcore] Update deps
  - Use new parity-snappy and parity-rocksdb crates
  - Updated submodules
  - Use parity-snappy 0.1
  - Use kvdb-rocksdb 0.1.2
  - Don't use latest ethereum/tests
  - Fix merge conflicts errors
  - Remove superseeded comment
  - Address grumbles: add newlines, add/remove spaces
- Fixed typo ([#9467](https://github.com/paritytech/parity-ethereum/pull/9467))
- Fix light client deadlock ([#9385](https://github.com/paritytech/parity-ethereum/pull/9385))
  - This PR is fixing deadlock for [#8918](https://github.com/paritytech/parity-ethereum/issues/8918)
  - It avoids some recursive calls on light_sync by making state check optional for Informant.
  - The current behavior is to display the information when informant checks if block is major version.
  - This change a bit the informant behavior, but not on most cases.
  - To remember where and how this kind of deadlock are likely to happen (not seen with Parkinglot deadlock detection because it uses std condvar), I am adding a description of the deadlock.
  - Also, for the reviewers there may be better solution than modifying the informant.
- Fix docs of address_hash ([#9463](https://github.com/paritytech/parity-ethereum/pull/9463))
- Fix typo in bash script ([#9462](https://github.com/paritytech/parity-ethereum/pull/9462))
- Fix a bug in evmbin initial_gas display ([#9457](https://github.com/paritytech/parity-ethereum/pull/9457))
- Evmbin: escape newlines in json errors ([#9458](https://github.com/paritytech/parity-ethereum/pull/9458))
- Use kvdb-* and parity-snappy crates from crates.io ([#9441](https://github.com/paritytech/parity-ethereum/pull/9441))
  - Use kvdb-* and parity-snappy crates from crates.io
  - Update rocksdb-sys and snappy-sys
- Add EIP-1014 transition config flag ([#9268](https://github.com/paritytech/parity-ethereum/pull/9268))
  - Add EIP-1014 transition config flag
  - Remove EIP-86 configs
  - Change CREATE2 opcode index to 0xf5
  - Move salt to the last item in the stack
  - Change sendersaltandaddress scheme to comply with current EIP-1014
  - Fix json configs
  - Fix create2 test
  - Fix deprecated comments
- Add tags for runner selection of build-linux jobs ([#9451](https://github.com/paritytech/parity-ethereum/pull/9451))
- Remove unused BlockStatus::Pending ([#9447](https://github.com/paritytech/parity-ethereum/pull/9447))
  - Pending case never instantiated, and only ever matched together with Unknown
- Ci: only include local paths in coverage script (except target) ([#9437](https://github.com/paritytech/parity-ethereum/pull/9437))
- Add POA Networks: Core and Sokol ([#9413](https://github.com/paritytech/parity-ethereum/pull/9413))
  - Ethcore: add poa network and sokol chainspecs
  - Rpc: simplify chain spec docs
  - Cli: rearrange networks by main/test and size/range
  - Parity: don't blacklist 0x00a328 on sokol testnet
  - Parity: add sokol and poanet to params and clean up a bit, add tests
  - Ethcore: add the poa networks and clean up a bit
  - Ethcore: fix path to poacore chain spec
  - Parity: rename poa networks to poacore and poasokol
  - Parity: fix configuration tests
  - Parity: fix parameter tests
  - Ethcore: rename POA Core and POA Sokol
- Docker: install missing dependencies in arm target dockerfiles ([#9436](https://github.com/paritytech/parity-ethereum/pull/9436))
- Random small cleanups ([#9423](https://github.com/paritytech/parity-ethereum/pull/9423))
  - Clean up toml files
  - Update the parity ethereum toolchain docs
  - Update contribution guide and issue templates
  - Update desktop and service files
  - Build clib examples with 8 threads
  - Update header templates
  - Replace parity technologies with parity ethereum logo
- Evmbin: Fix gas_used issue in state root mismatch and handle output better ([#9418](https://github.com/paritytech/parity-ethereum/pull/9418))
  - Fix gas used in staterootmismatch, and print full state root hash
  - Write trace info for stdjson to stderr
  - Fix tests
  - Remove struct trait bound
- Update hardcoded sync ([#9421](https://github.com/paritytech/parity-ethereum/pull/9421))
  - Update foundation hardcoded header to block 6219777
  - Update ropsten hardcoded header to block 3917825
  - Update kovan hardcoded header to block 8511489
- Add block reward contract config to ethash and allow off-chain contracts ([#9312](https://github.com/paritytech/parity-ethereum/pull/9312))
  - This adds block reward contract config to ethash. A new config `blockRewardContractCode` is also added to both Aura and ethash. When specified, it will execute the code directly and overrides any `blockRewardContractAddress` config. Having this `blockRewardContractCode` config allows chains to deploy hard fork by simply replacing the current config value, without the need from us to support any `multi` block reward scheme.
- Private packets verification and queue refactoring ([#8715](https://github.com/paritytech/parity-ethereum/pull/8715))
  - Verify private transaction before propagating
  - Private transactions queue reworked with tx pool queue direct usage
  - Styling fixed
  - Prevent resending private packets to the sender
  - Process signed private transaction packets via io queue
  - Test fixed
  - Build and test fixed after merge
  - Comments after review fixed
  - Signed transaction taken from verified
  - Fix after merge
  - Pool scoring generalized in order to use externally
  - Lib refactored according to the review comments
  - Ready state refactored
  - Redundant bound and copying removed
  - Fixed build after the merge
  - Forgotten case reworked
  - Review comments fixed
  - Logging reworked, target added
  - Fix after merge
- Update tobalaba.json ([#9419](https://github.com/paritytech/parity-ethereum/pull/9419))
- Docs: add parity ethereum logo to readme ([#9415](https://github.com/paritytech/parity-ethereum/pull/9415))
  - Docs: add parity ethereum logo
  - Docs: add logo to readme
  - Docs: align logo center
  - Docs: remove separators from readme
  - Docs: restructure readme
  - Docs: check spelling and grammar in readme
  - Docs: clarify readme
  - Docs: improve readme significantly
- Build: update rocksdb crate ([#9414](https://github.com/paritytech/parity-ethereum/pull/9414))
- Updating the CI system ([#8765](https://github.com/paritytech/parity-ethereum/pull/8765))
  - Updating the CI system with the publication of releases and binary files on github
  - Add missed scripts
  - Chmod +x scripts
  - Fix download link for github
  - Rebuilding CI scripts
  - Small fixes
  - Update submodule wasm tests
  - Ci: fix merge leftovers
  - Ci: remove gitlab-next from ci triggers
  - Ci: fix git add in docs script
  - Ci: use nightly instead of master for publish triggers
  - Ci: remove sleep from gitlab config
  - Ci: replace ':' with '-' in gitlab targets
  - Ci: fix recursive copy in docs script
- Better support for eth_getLogs in light mode ([#9186](https://github.com/paritytech/parity-ethereum/pull/9186))
  - Light client on-demand request for headers range.
  - Cache headers in HeaderWithAncestors response.
    - Also fulfills request locally if all headers are in cache.
  - Lightfetch::logs fetches missing headers on demand.
  - Lightfetch::logs limit the number of headers requested at a time.
  - Lightfetch::logs refactor header fetching logic.
  - Enforce limit on header range length in light client logs request.
  - Fix light request tests after struct change.
  - Respond to review comments.
- Add update docs script to CI ([#9219](https://github.com/paritytech/parity-ethereum/pull/9219))
  - Add update docs script to CI
    - Added a script to CI that will use the jsonrpc tool to update rpc documentation then commit and push those to the wiki repo.
  - Fix gitlab ci lint
  - Only apply jsonrpc docs update on tags
  - Update gitlab-rpc-docs.sh
  - Copy correct parity repo to jsonrpc folder
    - Copy correct parity repo to jsonrpc folder before attempting to build docs since the CI runner clones the repo as parity and not parity-ethereum.
  - Fix JSONRPC docs CI job
    - Update remote config in wiki repo before pushing changes using a github token for authentication. Add message to wiki tag when pushing changes. Use project directory to correctly copy parity code base into the jsonrpc repo for doc generation.
  - Fix set_remote_wiki function call in CI
- `gasleft` extern implemented for WASM runtime (kip-6) ([#9357](https://github.com/paritytech/parity-ethereum/pull/9357))
  - Wasm gasleft extern added
  - Wasm_gasleft_activation_transition -> kip4_transition
  - Use kip-6 switch
  - Gasleft_panic -> gasleft_fail rename
  - Call_msg_gasleft test added and gas_left agustments because this paritytech/wasm-tests#52
  - Change .. to _
  - Fix comment for the have_gasleft param
  - Update tests (paritytech/wasm-tests-0edbf86)
- Block view! removal in progress ([#9397](https://github.com/paritytech/parity-ethereum/pull/9397))
- Prevent sync restart if import queue full ([#9381](https://github.com/paritytech/parity-ethereum/pull/9381))
- Nonroot CentOS Docker image ([#9280](https://github.com/paritytech/parity-ethereum/pull/9280))
  - Updates CentOS Docker image build process
  - Rename build.Dockerfile
- Ethcore: kovan: delay activation of strict score validation ([#9406](https://github.com/paritytech/parity-ethereum/pull/9406))
- Revert "Use std::sync::Condvar ([#1732](https://github.com/paritytech/parity-ethereum/pull/1732))" ([#9392](https://github.com/paritytech/parity-ethereum/pull/9392))
  - Revert "Use std::sync::Condvar ([#1732](https://github.com/paritytech/parity-ethereum/pull/1732))"
    - This reverts commit c65ee93.
  - Verification_queue: remove redundant mutexes
- Replace `std::env::home_dir()` with `home` crate impl. ([#9293](https://github.com/paritytech/parity-ethereum/pull/9293))
  - Import the `home` crate in `util/dir`.
  - Replace uses of `env::home_dir()` with `home::home_dir()`.
  - `home` uses a 'correct' impl. on windows and the stdlib impl. of `::home_dir` otherwise.
    - Reexport `home::home_dir` from `util/dir`.
    - Bump `util/dir` to 0.1.2.
    - Docs: restore readme ([#9391](https://github.com/paritytech/parity-ethereum/pull/9391))
    - Replace `Duration::new()` w/ `Duration::from_nanos` ([#9387](https://github.com/paritytech/parity-ethereum/pull/9387))
- Delete Dockerfile ([#9386](https://github.com/paritytech/parity-ethereum/pull/9386))
- Network-devp2p `Fix some clippy errors/warnings` ([#9378](https://github.com/paritytech/parity-ethereum/pull/9378))
  - Fix some clippy warnings
  - Remove `shallow-copy` of Node's
  - Make `NonReservedPeerMode` Copy and pass-by-value
- Allow calling contracts in genesis state. ([#9375](https://github.com/paritytech/parity-ethereum/pull/9375))
- Make `Capabilities struct` Copy ([#9372](https://github.com/paritytech/parity-ethereum/pull/9372))
- Light client "Enable more logs for light client `on_demand`" ([#9374](https://github.com/paritytech/parity-ethereum/pull/9374))
  - Enable more logs for light client `on_demand`
  - Remove extra whitespace
  - Fix indentation
- Better logging when mining own transactions. ([#9363](https://github.com/paritytech/parity-ethereum/pull/9363))
- Fix typos in `network-devp2p` ([#9371](https://github.com/paritytech/parity-ethereum/pull/9371))
- Light client `Provide default nonce in transactions when it´s missing` ([#9370](https://github.com/paritytech/parity-ethereum/pull/9370))
  - Provide `default_nonce` in tx`s when it´s missing
    - When `nonce` is missing in a `EthTransaction` will cause it to fall in these cases provide `default_nonce` value instead!
  - Changed http:// to https:// on Yasm link ([#9369](https://github.com/paritytech/parity-ethereum/pull/9369))
    - Changed http:// to https:// on Yasm link in README.md
  - Provide `default_nonce` in tx`s when it´s missing
    - When `nonce` is missing in a `EthTransaction` will cause it to fall in these cases provide `default_nonce` value instead!
  - Address grumbles
- Changed http:// to https:// on Yasm link ([#9369](https://github.com/paritytech/parity-ethereum/pull/9369))
  - Changed http:// to https:// on Yasm link in README.md
- Fix no line breaks in logs ([#9355](https://github.com/paritytech/parity-ethereum/pull/9355))
- Lower the max size of transaction packet to prevent going oversize. ([#9308](https://github.com/paritytech/parity-ethereum/pull/9308))
  - Lower the max size of transaction packet to prevent going oversize.
  - Log RLP size.
- Remove prepare_trace_output and make sure prepare_trace_call and trace*call are balanced ([#9353](https://github.com/paritytech/parity-ethereum/pull/9353))
  - This refactors `prepare_trace_output` to instead directly take the reference of return values, so that it's simpler and we save a stack item. This should also fixes [the issue]([#9236](https://github.com/paritytech/parity-ethereum/pull/9236) (comment)) udoprog is facing. Replaces [#9236](https://github.com/paritytech/parity-ethereum/issues/9236)
- More details in logs returned by light client ([#9324](https://github.com/paritytech/parity-ethereum/pull/9324))
  - Log details for light logs.
  - Create Log directly.
- Expose UnorderedIterator. ([#9347](https://github.com/paritytech/parity-ethereum/pull/9347))
- Light client logs should include 'from_block' when querying logs ([#9331](https://github.com/paritytech/parity-ethereum/pull/9331))
  - Fix PubSub for logs when using light client:
    - Prior to this fix the pubsub process did send a query for each new block header (and for each subs: there is something to optimize here) by setting from and to of the filter at this block number; but there was a bug in the code that fetch logs : it was non inclusive for its start bound, meaning that with start bound = end bound we never query any block (and attached logs).
  - Option iter instead of once.
    - Use of bloom existing function to check if a bloom contains another.
  - Makes from block header checking explicit
- Remove pass-by-reference return data value from executive ([#9211](https://github.com/paritytech/parity-ethereum/pull/9211))
  - Remove pass-by-reference return data value from executive
  - Fix tests
  - Fix a missing test output
  - Typo: wasm_activation_test
  - Tracing change in output
  - Json_tests: fix compile
  - Typo: 0..32 -> ..32 to keep it consistent with other occurance
  - Fix tests
- Allow single opcode stepping for EVM ([#9051](https://github.com/paritytech/parity-ethereum/pull/9051))
  - Feed in ActionParams on VM creation
  - Fix ethcore after Vm interface change
  - Move informant inside Interpreter struct
  - Move do_trace to Interpreter struct
  - Move all remaining exec variables to Interpreter struct
  - Refactor VM to allow single opcode step
  - Fix all EVM tests
  - Fix all wasm tests
  - Fix wasm runner tests
  - Fix a check case where code length is zero
  - Fix jsontests compile
  - Fix cargo lock
  - Use match instead of expect
  - Use cheaper check reader.len() == 0 for the initial special case
  - Get rid of try_and_done! macro by using Result<(), ReturnType>
  - Use Never instead of ()
  - Fix parity-bytes path
  - Bypass gasometer lifetime problem by borrow only for a instance
  - Typo: missing {
  - Fix ethcore test compile
  - Fix evm tests
- Fix load share ([#9321](https://github.com/paritytech/parity-ethereum/pull/9321))
  - Fix(light_sync): calculate `load_share` properly
  - Refactor(api.rs): extract `light_params` fn, add test
  - Style(api.rs): add trailing commas
- Implement EIP234 block_hash for eth_getLogs ([#9256](https://github.com/paritytech/parity-ethereum/pull/9256))
  - Implement EIP234
  - Make filter conversion returns error if both blockHash and from/toBlock is found
    - This also changes PollFilter to store the EthFilter type, instead of the jsonrpc one, saving repeated conversion.
  - Return error if block filtering target is not found in eth_getLogs
    - Use the old behavior (unwrap_or_default) for anywhere else.
  - Fix test: secret_store
  - Fix weird indentation
  - Make client log filter return error in case a block cannot be found
  - Return blockId error in rpc
  - Test_client: allow return error on logs
  - Add a mocked test for eth_getLogs error
  - Fix: should return error if from_block/to_block greater than best block number
  - Add notes on pending
  - Add comment for UNSUPPORTED_REQUEST
  - Address grumbles
  - Return err if from > to
- Ethcore: fix pow difficulty validation ([#9328](https://github.com/paritytech/parity-ethereum/pull/9328))
  - Ethcore: fix pow difficulty validation
  - Ethcore: validate difficulty is not zero
  - Ethcore: add issue link to regression test
  - Ethcore: fix tests
  - Ethcore: move difficulty_to_boundary to ethash crate
  - Ethcore: reuse difficulty_to_boundary and boundary_to_difficulty
  - Ethcore: fix grumbles in difficulty_to_boundary_aux
- Ethcore/sync `Make view macro only visible to test` ([#9316](https://github.com/paritytech/parity-ethereum/pull/9316))
  - Remove needless macro import
  - Enable ethcore/macros in tests
- Allow setting the panic hook with parity-clib ([#9292](https://github.com/paritytech/parity-ethereum/pull/9292))
  - Allow setting the panic hook with parity-clib
  - Make all FFI functions unsafe
  - Fix comment
  - Fix concern
- Prevent blockchain & miner racing when accessing pending block. ([#9310](https://github.com/paritytech/parity-ethereum/pull/9310))
  - Prevent blockchain & miner racing when accessing pending block.
  - Fix unavailability of pending block during reseal.
- Docker alpine: use multi-stage concept ([#9269](https://github.com/paritytech/parity-ethereum/pull/9269))
  - Docker alpine: use multi-stage concept
  - Docker alpine: create config directory
- Update `log` -> 0.4, `env_logger` -> 0.5. ([#9294](https://github.com/paritytech/parity-ethereum/pull/9294))
  - Rename a few types & methods.
  - Change `(Log)Builder::format` (closure) arg.
- Update tobalaba.json ([#9313](https://github.com/paritytech/parity-ethereum/pull/9313))
- Allow tx pool to be Send ([#9315](https://github.com/paritytech/parity-ethereum/pull/9315))
- Fix codecov.io badge in README ([#9327](https://github.com/paritytech/parity-ethereum/pull/9327))
- Move ethereum-specific H256FastMap type to own crate ([#9307](https://github.com/paritytech/parity-ethereum/pull/9307))
  - Add a `fastmap` crate that provides the H256FastMap specialized HashMap
  - Use `fastmap` instead of `plain_hasher`
  - Update submodules for Reasons™
  - Submodule update
- Ethcore sync decodes rlp less often ([#9264](https://github.com/paritytech/parity-ethereum/pull/9264))
  - Deserialize block only once during verification
  - Ethcore-sync uses Unverified
  - Ethcore-sync uses Unverified
  - Fixed build error
  - Removed Block::is_good
  - Applied review suggestions
  - Ethcore-sync deserializes headers and blocks only once
- Ethcore: add transition flag for transaction permission contract ([#9275](https://github.com/paritytech/parity-ethereum/pull/9275))
  - Ethcore: add transition flag for transaction permission contract
  - Ethcore: fix transaction permission contract tests
- Remove all dapp permissions related settings ([#9120](https://github.com/paritytech/parity-ethereum/pull/9120))
  - Completely remove all dapps struct from rpc
  - Remove unused pub use
  - Remove dapp policy/permission func in ethcore
  - Remove all dapps settings from rpc
  - Fix rpc tests
  - Use both origin and user_agent
  - Address grumbles
  - Address grumbles
  - Fix tests
- Improve return data truncate logic ([#9254](https://github.com/paritytech/parity-ethereum/pull/9254))
  - Improve return data truncate logic
  - Fix: size -> offset + size
- Update wasm-tests hash ([#9295](https://github.com/paritytech/parity-ethereum/pull/9295))
- Implement KIP4: create2 for wasm ([#9277](https://github.com/paritytech/parity-ethereum/pull/9277))
  - Basic implementation for kip4
  - Add KIP-4 config flags
  - Typo: docs fix
  - Fix args offset
  - Add tests for create2
  - Tests: evm
  - Update wasm-tests and fix all gas costs
  - Update wasm-tests
  - Update wasm-tests and fix gas costs
- Fix loop start value ([#9285](https://github.com/paritytech/parity-ethereum/pull/9285))
- Avoid using $HOME if not necessary ([#9273](https://github.com/paritytech/parity-ethereum/pull/9273))
  - Avoid using $HOME if not necessary
  - Fix concerns and issues
- Fix path to parity.h ([#9274](https://github.com/paritytech/parity-ethereum/pull/9274))
  - Fix path to parity.h
  - Fix other paths as well
- Propagate transactions for next 4 blocks. ([#9265](https://github.com/paritytech/parity-ethereum/pull/9265))
  - Closes [#9255](https://github.com/paritytech/parity-ethereum/issues/9255)
  - This PR also removes the limit of max 64 transactions per packet, currently we only attempt to prevent the packet size to go over 8MB. This will only be the case for super-large transactions or high-block-gas-limit chains. Patching this is important only for chains that have blocks that can fit more than 4k transactions (over 86M block gas limit) For mainnet, we should actually see a tiny bit faster propagation since instead of computing 4k pending set, we only need `4 * 8M / 21k = 1523` transactions. Running some tests on `dekompile` node right now, to check how it performs in the wild.
- Decode block rlp less often ([#9252](https://github.com/paritytech/parity-ethereum/pull/9252))
  - Removed 4 redundant rlp deserializations
  - Avoid 1 redundant block data copy
- Fix eternalities tests can_create (missing parameter) ([#9270](https://github.com/paritytech/parity-ethereum/pull/9270))
- Update ref to `parity-common` and update `seek` behaviour ([#9257](https://github.com/paritytech/parity-ethereum/pull/9257))
  - Update ref to `parity-common` and update `seek` behaviour
  - Remove reference to `ng-fix-triedb-seek` branch
- Comply EIP-86 with the new definition ([#9140](https://github.com/paritytech/parity-ethereum/pull/9140))
  - Comply EIP-86 with the new CREATE2 opcode
  - Fix rpc compile
  - Fix interpreter CREATE/CREATE2 stack pop difference
  - Add unreachable! to fix compile
  - Fix instruction_info
  - Fix gas check due to new stack item
  - Add new tests in executive
  - Fix have_create2 comment
  - Remove all unused references of eip86_transition and block_number
- Check if synced when using eth_getWork ([#9193](https://github.com/paritytech/parity-ethereum/pull/9193)) ([#9210](https://github.com/paritytech/parity-ethereum/pull/9210))
  - Check if synced when using eth_getWork ([#9193](https://github.com/paritytech/parity-ethereum/pull/9193))
  - Don't use fn syncing
  - Fix identation
  - Fix typo
  - Don't check for warping
  - Rpc: avoid calling queue_info twice on eth_getWork
- Removed client error ([#9253](https://github.com/paritytech/parity-ethereum/pull/9253))
- Implement EIP-1052 (EXTCODEHASH) and fix several issues in state account cache ([#9234](https://github.com/paritytech/parity-ethereum/pull/9234))
  - Implement EIP-1052 and fix several issues related to account cache
  - Fix jsontests
  - Merge two matches together
  - Avoid making unnecessary Arc<Vec>
  - Address grumbles
- Improve Tracer documentation ([#9237](https://github.com/paritytech/parity-ethereum/pull/9237))
- Update Dockerfile ([#9242](https://github.com/paritytech/parity-ethereum/pull/9242))
  - Update Dockerfile
    - Fix Docker build
  - Fix dockerfile paths: parity -> parity-ethereum ([#9248](https://github.com/paritytech/parity-ethereum/pull/9248))
- Block cleanup ([#9117](https://github.com/paritytech/parity-ethereum/pull/9117))
  - Blockchain insert expects owned block instead of block reference
  - Reduce a number of times a block is deserialized
  - Removed cached uncle_bytes from block
  - Removed is_finalized from OpenBlock
  - Removed unused parity_machine::WithMetadata trait
  - Removed commented out code
  - Remove unused metadata from block
  - Remove unused metadata from block
  - Blockdetails extras may have at most 5 elements
- Increase the number of sessions. ([#9203](https://github.com/paritytech/parity-ethereum/pull/9203))
- Add changelog for 1.11.8 stable and 2.0.1 beta ([#9230](https://github.com/paritytech/parity-ethereum/pull/9230))
  - Docs: add changelog for 1.11.8 stable
  - Docs: add changelog for 2.0.1 beta
- Fix typo ([#9232](https://github.com/paritytech/parity-ethereum/pull/9232))
- Fix potential as_usize overflow when casting from U256 in miner ([#9221](https://github.com/paritytech/parity-ethereum/pull/9221))
- Allow old blocks from peers with lower difficulty ([#9226](https://github.com/paritytech/parity-ethereum/pull/9226))
  - Previously we only allow downloading of old blocks if the peer difficulty was greater than our syncing difficulty. This change allows downloading of blocks from peers where the difficulty is greater then the last downloaded old block.
- Removes duplicate libudev-dev from Dockerfile ([#9220](https://github.com/paritytech/parity-ethereum/pull/9220))
- Snap: remove ssl dependencies from snapcraft definition ([#9222](https://github.com/paritytech/parity-ethereum/pull/9222))
- Remove ssl from dockerfiles, closes [#8880](https://github.com/paritytech/parity-ethereum/issues/8880) ([#9195](https://github.com/paritytech/parity-ethereum/pull/9195))
- Insert PROOF messages for some cases in blockchain ([#9141](https://github.com/paritytech/parity-ethereum/pull/9141))
  - Insert PROOF messages for some cases in blockchain
  - Break expect to its own line to avoid things being too long
  - Be more specific for all low-level database error cases
  - Fix BranchBecomingCanonChain expect
  - Ethcore: fix typo in expect proof message
- [chain] Add more bootnodes ([#9174](https://github.com/paritytech/parity-ethereum/pull/9174))
    - For ETC, ELLA, EXP, Morden, MUSIC
- Ethcore: update bn version ([#9217](https://github.com/paritytech/parity-ethereum/pull/9217))
- Deserialize block only once during verification ([#9161](https://github.com/paritytech/parity-ethereum/pull/9161))
- Simple build instruction fix ([#9215](https://github.com/paritytech/parity-ethereum/pull/9215))
    - Changed `parity` dir name into  `parity-ethereum`
- Added --tx-queue-no-early-reject flag to disable early tx queue rejects ([#9143](https://github.com/paritytech/parity-ethereum/pull/9143))
  - Added --tx-queue-no-early-reject flag to disable early tx queue rejects because of low gas price
  - Fixed failing tests, clarified comments and simplified no_early_reject field name.
  - Added test case for the --tx-queue-no-early-reject flag
- Avoid schedule copying in nested call/create ([#9190](https://github.com/paritytech/parity-ethereum/pull/9190))
  - Avoid schedule copying in nested call/create
  - Fix tests
  - Fix test: wrong Schedule used
  - Fix private-tx test
  - Fix jsontests compilation
- Ethcore: add builtin benchmarks based on geth ([#9179](https://github.com/paritytech/parity-ethereum/pull/9179))
  - Ethcore: add geth benchmarks for all builtins
  - Ethcore: remove old builtin benchmarks
- Rpc: fix is_major_importing sync state condition ([#9112](https://github.com/paritytech/parity-ethereum/pull/9112))
  - Rpc: fix is_major_importing sync state condition
  - Rpc: fix informant printout when waiting for peers
- Docs: update repository links ([#9159](https://github.com/paritytech/parity-ethereum/pull/9159))
  - Docs: update repository links
  - Docs: update repository links in contribution guide
- Parity: fix UserDefaults json parser ([#9189](https://github.com/paritytech/parity-ethereum/pull/9189))
  - Parity: fix UserDefaults json parser
  - Parity: use serde_derive for UserDefaults
  - Parity: support deserialization of old UserDefault json format
  - Parity: make UserDefaults serde backwards compatible
  - Parity: tabify indentation in UserDefaults
- Update "This is a bug. Please report it at:" link ([#9191](https://github.com/paritytech/parity-ethereum/pull/9191))
- Docker: update hub dockerfile ([#9173](https://github.com/paritytech/parity-ethereum/pull/9173))
  - Update Dockerfile for hub
    - Update to Ubuntu Xenial 16.04
    - Fix cmake version
  - Docker: fix tab indentation in hub dockerfile
- Ci: update version strings for snaps ([#9160](https://github.com/paritytech/parity-ethereum/pull/9160))
- Ethcore: add missing builtins benchmarks ([#9170](https://github.com/paritytech/parity-ethereum/pull/9170))
  - Ethcore: add modexp benchmarks
  - Ethcore: add_bn_128_add benchmark
- Fix bugfix hard fork logic ([#9138](https://github.com/paritytech/parity-ethereum/pull/9138))
  - Fix bugfix hard fork logic
  - Remove dustProtectionTransition from bugfix category
    - Eip-168 is not enabled by default
  - Remove unnecessary 'static
- Be more graceful on Aura difficulty validation ([#9164](https://github.com/paritytech/parity-ethereum/pull/9164))
  - Be more graceful on Aura difficulty validation
  - Test: rejects_step_backwards
  - Test: proposer_switching
  - Test: rejects_future_block
  - Test: reports_skipped
  - Test: verify_empty_seal_steps
- Handle SyncHandler errors properly ([#9151](https://github.com/paritytech/parity-ethereum/pull/9151))
  - Handle SyncHandler errors properly, closes [#9150](https://github.com/paritytech/parity-ethereum/issues/9150)
  - Applied review suggestions
- Remove node-health ([#9119](https://github.com/paritytech/parity-ethereum/pull/9119))
  - Remove node-health
  - Remove ntp_servers
  - Add --ntp-servers as legacy instead of removing it
  - Add --ntp-servers to deprecated args
  - Remove unused stuff
  - Remove _legacy_ntp_servers
- Remove unused tx_queue_gas parameter. ([#9153](https://github.com/paritytech/parity-ethereum/pull/9153))
- Changelogs for 1.11.7-stable and 2.0.0-beta ([#9105](https://github.com/paritytech/parity-ethereum/pull/9105))
  - Docs: mark 1.10 as end-of-life
  - Docs: move changelog for 1.11
  - Docs: Add changelog for 1.11.7-stable
  - Docs: add changelog for 2.0.0-beta
  - Docs: add release notes for 2.0.0 beta
  - Docs: fix links in changelog
  - Docs: Update changelog for 1.11.7-stable
  - Docs: Update changelog for 2.0.0-beta
  - Docs: address Tbaut's comments for the 2.0.0-beta changelog
  - Docs: add note regarding txqueue changes as recommended by tomusdrw
- Disable per-sender limit for local transactions. ([#9148](https://github.com/paritytech/parity-ethereum/pull/9148))
  - Disable per-sender limit for local transactions.
  - Add a missing new line.
- Parity: fix logging cli parameter example ([#9154](https://github.com/paritytech/parity-ethereum/pull/9154))
- Be more specific for `-l` CLI arguments ([#9149](https://github.com/paritytech/parity-ethereum/pull/9149))
  - Update mod.rs
- Receipt constructor `Allocate less stack for blooms` ([#9146](https://github.com/paritytech/parity-ethereum/pull/9146))
  - Allocate less stack in `Receipt ctor`
  - Ethcore: use accrue_bloom when computing transaction receipt
- `evm bench` fix broken dependencies ([#9134](https://github.com/paritytech/parity-ethereum/pull/9134))
  - `evm bench` use valid dependencies
    - Benchmarks of the `evm` used stale versions of a couple a crates that this commit fixes!
  - Fix warnings
- Update snapcraft.yaml ([#9132](https://github.com/paritytech/parity-ethereum/pull/9132))
- Fix verification in ethcore-sync collect_blocks ([#9135](https://github.com/paritytech/parity-ethereum/pull/9135))
- Unify engine error to reject blocks ([#9085](https://github.com/paritytech/parity-ethereum/pull/9085))
  - Reject if Engine::on_close_block returns error
  - Unify open block behaviors
  - Fix tests in ethcore
  - Fix Aura tests
  - Fix RPC test
  - Print a warning if open block failed
  - Print the actual error when closing the block
  - Update comments for prepare_pending_block
  - Add BlockPreparationStatus to distingish three different state after prepare_pending_block
- Fix `todo` in `ethcore/types::Receipt` constructor ([#9086](https://github.com/paritytech/parity-ethereum/pull/9086))
  - Remove needless mutable variable and assignment
- Completely remove all dapps struct from rpc ([#9107](https://github.com/paritytech/parity-ethereum/pull/9107))
  - Completely remove all dapps struct from rpc
  - Remove unused pub use
- Removed redundant struct bounds and unnecessary data copying ([#9096](https://github.com/paritytech/parity-ethereum/pull/9096))
  - Removed redundant struct bounds and unnecessary data copying
  - Updated docs, removed redundant bindings
- Insert ETC (classic) hardcoded headers until block 6170625 ([#9121](https://github.com/paritytech/parity-ethereum/pull/9121))
- Make sure to produce full blocks. ([#9115](https://github.com/paritytech/parity-ethereum/pull/9115))
- Update light client hardcoded headers ([#9098](https://github.com/paritytech/parity-ethereum/pull/9098))
  - Insert Kovan hardcoded headers until 7690241
  - Insert Kovan hardcoded headers until block 7690241
  - Insert Ropsten hardcoded headers until 3612673
  - Insert Mainnet hardcoded headers until block 5941249
- Parity-version: bump nightly version to 2.1 ([#9095](https://github.com/paritytech/parity-ethereum/pull/9095))
- Fix work-notify. ([#9104](https://github.com/paritytech/parity-ethereum/pull/9104))
- Update snappy ([#9082](https://github.com/paritytech/parity-ethereum/pull/9082))
- Offload cull to IoWorker. ([#9099](https://github.com/paritytech/parity-ethereum/pull/9099))
- Docker: add cmake dependency ([#9111](https://github.com/paritytech/parity-ethereum/pull/9111))
- Update hidapi, fixes [#7542](https://github.com/paritytech/parity-ethereum/issues/7542) ([#9108](https://github.com/paritytech/parity-ethereum/pull/9108))
- Update README.md ([#9084](https://github.com/paritytech/parity-ethereum/pull/9084))
  - Update README.md
  - Rename parity client
  - Docs: remove UI stuff from readme.
  - Docs: add changelog link to readme
- Revert "Replace `std::env::home_dir` with `dirs::home_dir` ([#9077](https://github.com/paritytech/parity-ethereum/pull/9077))" ([#9097](https://github.com/paritytech/parity-ethereum/pull/9097))
  - Revert "Replace `std::env::home_dir` with `dirs::home_dir` ([#9077](https://github.com/paritytech/parity-ethereum/pull/9077))"
    - This reverts commit 7e77932.
  - Restore some of the changes
  - Update parity-common
- Multiple improvements to discovery ping handling ([#8771](https://github.com/paritytech/parity-ethereum/pull/8771))
  - Discovery: Only add nodes to routing table after receiving pong.
    - Previously the discovery algorithm would add nodes to the routing table before confirming that the endpoint is participating in the protocol. This now tracks in-flight pings and adds to the routing table only after receiving a response.
  - Discovery: Refactor packet creation into its own function.
    - This function is useful inside unit tests.
  - Discovery: Additional testing for new add_node behavior.
  - Discovery: Track expiration of pings to non-yet-in-bucket nodes.
    - Now that we may ping nodes before adding to a k-bucket, the timeout tracking must be separate from BucketEntry.
  - Discovery: Verify echo hash on pong packets.
    - Stores packet hash with in-flight requests and matches with pong response.
  - Discovery: Track timeouts on FIND_NODE requests.
  - Discovery: Retry failed pings with exponential backoff.
    - Udp packets may get dropped, so instead of immediately booting nodes that fail to respond to a ping, retry 4 times with exponential backoff.
  - !fixup Use slice instead of Vec for request_backoff.
- Add separate database directory for light client ([#8927](https://github.com/paritytech/parity-ethereum/pull/8927)) ([#9064](https://github.com/paritytech/parity-ethereum/pull/9064))
  - Add seperate default DB path for light client ([#8927](https://github.com/paritytech/parity-ethereum/pull/8927))
  - Improve readability
